// Mike Maxim
// IRTree for seq

package edu.cmu.cs.l3.tree;

public class IRSeq extends IRStatement {

    public IRSeq(IRStatement l, IRStatement r) {
	m_left=l; m_right=r;

	m_classname = "IRSeq";
    }

    public IRStatement getLeft() {
	return m_left;
    }

    public IRStatement getRight() {
	return m_right;
    }

    public void setLeft(IRStatement l) {
	m_left = l;
    }

    public void setRight(IRStatement r) {
	m_right = r;
    }

    public IRExpressionList getComponents() {
	return new IRExpressionList();
    }

    public IRStatement build(IRExpressionList comps) {
	return new IRSeq(m_left,m_right);
    }

    //public String toString() {
    //	return "[" + super.toString() + ": " + m_left.toString() + " " + m_right.toString() + "]";
    //}

    private IRStatement m_left, m_right;
}


